Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/TRP/trcnam_trp.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/TRP/trcnam_trp.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/TRP/trcnam_trp.F90	(revision 3901)
@@ -22,30 +22,30 @@
    PUBLIC   trc_nam_trp    ! routine called by step module
  
-   !                                                 !!: ** Advection (nam_trcadv) **
-   LOGICAL , PUBLIC ::   ln_trcadv_cen2   = .FALSE.   ! 2nd order centered scheme flag
-   LOGICAL , PUBLIC ::   ln_trcadv_tvd    = .TRUE.    ! TVD scheme flag
-   LOGICAL , PUBLIC ::   ln_trcadv_muscl  = .FALSE.   ! MUSCL scheme flag
-   LOGICAL , PUBLIC ::   ln_trcadv_muscl2 = .FALSE.   ! MUSCL2 scheme flag
-   LOGICAL , PUBLIC ::   ln_trcadv_ubs    = .FALSE.   ! UBS scheme flag
-   LOGICAL , PUBLIC ::   ln_trcadv_qck    = .FALSE.   ! QUICKEST scheme flag
-   LOGICAL , PUBLIC ::   ln_trcadv_msc_ups= .FALSE.   ! use upstream scheme within muscl
-
-
-   !                                                 !!: ** lateral mixing namelist (nam_trcldf) **
-   LOGICAL , PUBLIC ::   ln_trcldf_diff  = .FALSE.    !: flag of perform or not the lateral diff.
-   LOGICAL , PUBLIC ::   ln_trcldf_lap   = .TRUE.     !: laplacian operator
-   LOGICAL , PUBLIC ::   ln_trcldf_bilap = .FALSE.    !: bilaplacian operator
-   LOGICAL , PUBLIC ::   ln_trcldf_level = .FALSE.    !: iso-level direction
-   LOGICAL , PUBLIC ::   ln_trcldf_hor   = .FALSE.    !: horizontal (geopotential) direction
-   LOGICAL , PUBLIC ::   ln_trcldf_iso   = .TRUE.     !: iso-neutral direction
-   REAL(wp), PUBLIC ::   rn_ahtrc_0                   !: diffusivity coefficient for passive tracer (m2/s)
-   REAL(wp), PUBLIC ::   rn_ahtrb_0                   !: background diffusivity coefficient for passive tracer (m2/s)
-
-   !                                                 !!: ** Treatment of Negative concentrations ( nam_trcrad )
-   LOGICAL , PUBLIC ::   ln_trcrad       = .TRUE.     !: flag to artificially correct negative concentrations
-
-   !                                                 !!: ** Vertical diffusion (nam_trczdf) **
-   LOGICAL , PUBLIC ::   ln_trczdf_exp = .FALSE.      !: explicit vertical diffusion scheme flag
-   INTEGER , PUBLIC ::   nn_trczdf_exp = 3             !: number of sub-time step (explicit time stepping)
+   !                                        !!: ** Advection (namtrc_adv) **
+   LOGICAL , PUBLIC ::   ln_trcadv_cen2      ! 2nd order centered scheme flag
+   LOGICAL , PUBLIC ::   ln_trcadv_tvd       ! TVD scheme flag
+   LOGICAL , PUBLIC ::   ln_trcadv_muscl     ! MUSCL scheme flag
+   LOGICAL , PUBLIC ::   ln_trcadv_muscl2    ! MUSCL2 scheme flag
+   LOGICAL , PUBLIC ::   ln_trcadv_ubs       ! UBS scheme flag
+   LOGICAL , PUBLIC ::   ln_trcadv_qck       ! QUICKEST scheme flag
+   LOGICAL , PUBLIC ::   ln_trcadv_msc_ups   ! use upstream scheme within muscl
+
+
+   !                                        !!: ** lateral mixing namelist (nam_trcldf) **
+   LOGICAL , PUBLIC ::   ln_trcldf_diff      !: flag of perform or not the lateral diff.
+   LOGICAL , PUBLIC ::   ln_trcldf_lap       !: laplacian operator
+   LOGICAL , PUBLIC ::   ln_trcldf_bilap     !: bilaplacian operator
+   LOGICAL , PUBLIC ::   ln_trcldf_level     !: iso-level direction
+   LOGICAL , PUBLIC ::   ln_trcldf_hor       !: horizontal (geopotential) direction
+   LOGICAL , PUBLIC ::   ln_trcldf_iso       !: iso-neutral direction
+   REAL(wp), PUBLIC ::   rn_ahtrc_0          !: diffusivity coefficient for passive tracer (m2/s)
+   REAL(wp), PUBLIC ::   rn_ahtrb_0          !: background diffusivity coefficient for passive tracer (m2/s)
+
+   !                                        !!: ** Treatment of Negative concentrations ( nam_trcrad )
+   LOGICAL , PUBLIC ::   ln_trcrad           !: flag to artificially correct negative concentrations
+
+   !                                        !!: ** Vertical diffusion (nam_trczdf) **
+   LOGICAL , PUBLIC ::   ln_trczdf_exp       !: explicit vertical diffusion scheme flag
+   INTEGER , PUBLIC ::   nn_trczdf_exp       !: number of sub-time step (explicit time stepping)
 
 
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/trcdta.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/trcdta.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/trcdta.F90	(revision 3901)
@@ -59,8 +59,8 @@
       REAL(wp)           :: zfact
       !
-      CHARACTER(len=100) :: cn_dir
+      CHARACTER(len=100)            :: cn_dir
       TYPE(FLD_N), DIMENSION(jptra) :: slf_i     ! array of namelist informations on the fields to read
       TYPE(FLD_N), DIMENSION(jptra) :: sn_trcdta
-      REAL(wp)   , DIMENSION(jptra) :: rn_trfac    ! multiplicative factor for tracer values
+      REAL(wp)   , DIMENSION(jptra) :: rn_trfac  ! multiplicative factor for tracer values
       !!
       NAMELIST/namtrc_dta/ sn_trcdta, cn_dir, rn_trfac 
@@ -91,7 +91,5 @@
          WRITE(numout,*) ' '
       ENDIF
-      !                         ! allocate the arrays (if necessary)
-      !
-      cn_dir  = './'            ! directory in which the model is executed
+      !
       DO jn = 1, jptra
          WRITE( clndta,'("TR_",I1)' ) jn
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/trcnam.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/trcnam.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/trcnam.F90	(revision 3901)
@@ -78,24 +78,4 @@
       CALL ctl_opn( numont    , 'output.namelist.top', 'REPLACE', 'FORMATTED', 'SEQUENTIAL',-1, numout, .FALSE. )
 
-      ! Namelist nattrc (files)
-      ! ----------------------------------------------
-      nn_dttrc      = 1                 ! default values
-      nn_writetrc   = 10 
-      ln_top_euler  = .FALSE.
-      ln_rsttr      = .FALSE.
-      nn_rsttr      =  0
-      cn_trcrst_in  = 'restart_trc'
-      cn_trcrst_out = 'restart_trc'
-      !
-      DO jn = 1, jptra
-         WRITE( sn_tracer(jn)%clsname,'("TR_",I1)'           ) jn
-         WRITE( sn_tracer(jn)%cllname,'("TRACER NUMBER ",I1)') jn
-         sn_tracer(jn)%clunit  = 'mmole/m3'
-         sn_tracer(jn)%llinit  = .FALSE.
-         sn_tracer(jn)%llsave  = .TRUE.
-      END DO
-      ln_trcdta = .FALSE.
-      ln_trcdmp = .FALSE.
-
       REWIND( numnat_ref )              ! Namelist namtrc in reference namelist : Passive tracer variables
       READ  ( numnat_ref, namtrc, IOSTAT = ios, ERR = 901)
@@ -145,9 +125,4 @@
       ENDIF
 
-      ln_diatrc = .FALSE.
-      ln_diabio = .FALSE.
-      nn_writedia = 10
-      nn_writebio = 10
-
       REWIND( numnat_ref )              ! Namelist namtrc_dia in reference namelist : Passive tracer diagnostics
       READ  ( numnat_ref, namtrc_dia, IOSTAT = ios, ERR = 903)
@@ -226,12 +201,4 @@
 
 #if defined key_trdmld_trc || defined key_trdtrc
-         nn_trd_trc  = 20
-         nn_ctls_trc =  9
-         rn_ucf_trc   =  1.
-         ln_trdmld_trc_instant = .TRUE.
-         ln_trdmld_trc_restart =.FALSE.
-         cn_trdrst_trc_in  = "restart_mld_trc"
-         cn_trdrst_trc_out = "restart_mld_trc"
-         ln_trdtrc(:) = .FALSE.
 
          REWIND( numnat_ref )              ! Namelist namtrc_trd in reference namelist : Passive tracer trends
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/trcstp.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/trcstp.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/trcstp.F90	(revision 3901)
@@ -84,5 +84,8 @@
                                    CALL trc_sms      ( kt )       ! tracers: sinks and sources
                                    CALL trc_trp      ( kt )       ! transport of passive tracers
-         IF( kt == nittrc000 )     CALL iom_close( numrtr )       ! close input tracer restart file
+         IF( kt == nittrc000 ) THEN
+            CALL iom_close( numrtr )       ! close input tracer restart file
+            CALL FLUSH    ( numont )       ! flush namelist output
+         ENDIF
          IF( lrst_trc )            CALL trc_rst_wri  ( kt )       ! write tracer restart file
          IF( lk_trdmld_trc  )      CALL trd_mld_trc  ( kt )       ! trends: Mixed-layer
